fixacos(3)

NAME
fixacos - Fixed point inverse cosine lookup table. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

fixed fixacos(fixed x);

DESCRIPTION
This function finds the inverse cosine of a value using a lookup table. The input value must be a fixed point radian. The inverse cosine is defined only in the domain from `-1' to `1'. Outside of this input range, the function will set `errno' to EDOM and return zero. Example:
   fixed result;

   /* Sets `result' to binary angle 128. */
   result = fixacos(itofix(-1));

RETURN VALUE
Returns the inverse sine of a fixed point value, measured as fixed point binary format angle, or zero if the input was out of range. All return values of this function will be in the range `0' to `128'.

SEE ALSO